package com.persagy.dmp.rwd.digital.service;

import com.persagy.dmp.basic.dto.RequestData;
import com.persagy.dmp.common.model.response.CommonResult;
import com.persagy.dmp.digital.entity.ObjectRelation;

import java.util.List;

/***
 * Description: 处理关系计算逻辑的接口
 * @author : lijie
 * @date :2021/9/2 21:10
 * Update By lijie 2021/9/2 21:10
 */
public interface RelationCaclService {
    /***
     * Description: 根据id,localId,name,localName,CADID及关系类型信息,对象分类信息创建关系
     * @param requestData : 请求参数
     * @return : com.persagy.dmp.common.model.response.CommonResult<java.util.List<com.persagy.dmp.digital.entity.ObjectRelation>>  
     * @author : lijie
     * @date :2021/9/2 21:24
     * Update By lijie 2021/9/2 21:24
     */
    CommonResult<List<ObjectRelation>> createObjRelationsByKeywordAndObjType(RequestData requestData);
}
